<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-463"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UIView%28FadeInFadeOut%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UIView(FadeInFadeOut)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_view_07_fade_in_fade_out_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#properties">属性</a> |
<a href="category_u_i_view_07_fade_in_fade_out_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIView(FadeInFadeOut)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_view_09_fade_in_fade_out_8h_source.html">UIView+FadeInFadeOut.h</a>&gt;</code></p>
<div class="dynheader">
类 UIView(FadeInFadeOut) 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="category_u_i_view_07_fade_in_fade_out_08.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a542449d60370c2a81e1969a34958630e"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#a542449d60370c2a81e1969a34958630e">setHidden:animated:</a></td></tr>
<tr class="separator:a542449d60370c2a81e1969a34958630e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:adf08c8bed352629b6044526e5f28c47e"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#adf08c8bed352629b6044526e5f28c47e">setHidden:animated:completed:</a></td></tr>
<tr class="separator:adf08c8bed352629b6044526e5f28c47e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a91b268d24f14f92a7df640f1b4e0c97a"><td class="memItemLeft" align="right" valign="top">NSNumber *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#a91b268d24f14f92a7df640f1b4e0c97a">hideProcess</a></td></tr>
<tr class="separator:a91b268d24f14f92a7df640f1b4e0c97a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a26755496cca3a168ca027405e3e1db6f"><td class="memItemLeft" align="right" valign="top">void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html#a26755496cca3a168ca027405e3e1db6f">hiddenAnimationCompleted</a> )(BOOL finished)</td></tr>
<tr class="memdesc:a26755496cca3a168ca027405e3e1db6f"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">1：fade out;0: fade in  <a href="category_u_i_view_07_fade_in_fade_out_08.html#a26755496cca3a168ca027405e3e1db6f">更多...</a><br/></td></tr>
<tr class="separator:a26755496cca3a168ca027405e3e1db6f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a542449d60370c2a81e1969a34958630e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a542449d60370c2a81e1969a34958630e">◆&nbsp;</a></span>setHidden:animated:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setHidden: </td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>hidden</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>use fade in or fade out</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">hidden</td><td>是否隐藏 </td></tr>
    <tr><td class="paramname">animated</td><td>是否使用动画 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="adf08c8bed352629b6044526e5f28c47e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf08c8bed352629b6044526e5f28c47e">◆&nbsp;</a></span>setHidden:animated:completed:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) setHidden: </td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>hidden</em></td>
        </tr>
        <tr>
          <td class="paramkey">animated:</td>
          <td></td>
          <td class="paramtype">(BOOL)&nbsp;</td>
          <td class="paramname"><em>animated</em></td>
        </tr>
        <tr>
          <td class="paramkey">completed:</td>
          <td></td>
          <td class="paramtype">(void(^)(BOOL finished))&nbsp;</td>
          <td class="paramname"><em>block</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>use fade in or fade out</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">hidden</td><td>是否隐藏 </td></tr>
    <tr><td class="paramname">animated</td><td>是否使用动画 </td></tr>
    <tr><td class="paramname">block</td><td>complete block </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a26755496cca3a168ca027405e3e1db6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26755496cca3a168ca027405e3e1db6f">◆&nbsp;</a></span>hiddenAnimationCompleted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL finished) hiddenAnimationCompleted</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>1：fade out;0: fade in </p>

</div>
</div>
<a id="a91b268d24f14f92a7df640f1b4e0c97a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91b268d24f14f92a7df640f1b4e0c97a">◆&nbsp;</a></span>hideProcess</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSNumber *) hideProcess</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_fade_in_fade_out_8h_source.html">UIView+FadeInFadeOut.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_fade_in_fade_out_8m.html">UIView+FadeInFadeOut.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_view_07_fade_in_fade_out_08.html">UIView(FadeInFadeOut)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>